Subject: Re: bug#40570: [PATCH] Alias cl-subseq to seq-subseq, define gv-setter in the latter

From: Stefan Monnier <[email-masked]>
Date: Sun, 12 Apr 2020 15:18:17 -0400

> Indeed. The definition of `cl-replace' looks like not for the faint of
> heart, also a lot of that impression comes from all the cl- prefixed
> args and variables. Is that just an artifact of some automatic
> replacement process, or is there a reason those have to have the cl-
> prefix?

IIRC it's just a remnant of the dynamic scoping days where higher-order
functions needed to obfuscate their local var names to avoid accident
name capture.

`cl` used it fairly systematically (not just when and where needed).

IIRC I did remove this prefix in a number of places (and kept it at
a few places where those vars are actually accessed via dynamic
scoping), but I'm sure there are lots more to clean up.

        Stefan